function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// eslint-disable-next-line @typescript-eslint/no-unused-vars

/**
 * Implements the UID interface that Dag requires.
 * @class Unique id
 */
export class UIDCounter {
  constructor() {
    _defineProperty(this, "_id", void 0);

    this._id = UIDCounter._counter++;
  }

  equals(uid) {
    return uid instanceof UIDCounter && this._id === uid._id;
  }

}

_defineProperty(UIDCounter, "_counter", 0);
//# sourceMappingURL=uid-counter.js.map