"use strict";

exports.__esModule = true;
exports.UIDCounter = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// eslint-disable-next-line @typescript-eslint/no-unused-vars

/**
 * Implements the UID interface that Dag requires.
 * @class Unique id
 */
var UIDCounter = /*#__PURE__*/function () {
  function UIDCounter() {
    _defineProperty(this, "_id", void 0);

    this._id = UIDCounter._counter++;
  }

  var _proto = UIDCounter.prototype;

  _proto.equals = function equals(uid) {
    return uid instanceof UIDCounter && this._id === uid._id;
  };

  return UIDCounter;
}();

exports.UIDCounter = UIDCounter;

_defineProperty(UIDCounter, "_counter", 0);
//# sourceMappingURL=uid-counter.js.map